using System.ComponentModel;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    /// <summary>
    ///  机械臂码垛工位DB530
    /// </summary>
    [Description("机械臂码垛工位DB531")]
    public interface IRobot530 : IProtocol
    {
        /// <summary>
        ///  垛形
        /// </summary>
        [Description("垛形")]
        public short Type { get; set; }

        /// <summary>
        ///  最大码垛数量
        /// </summary>
        [Description("最大码垛数量")]
        public short MaxQuantity { get; set; }

        /// <summary>
        ///  码垛结束
        /// </summary>
        [Description("码垛结束")]
        public RobotCmdType CmdType { get; set; }

        /// <summary>
        ///  凭证号，触发信号
        /// </summary>
        [Description("凭证号，触发信号")]
        public short VoucherNo { get; set; }
    }
}
